;---------------------------------------------------------------------------
; Win state decider
; CNS difficulty: basic
[Statedef 180]
type = S

[State 180, 1]
type = ChangeState
trigger1 = Time = 0
value = 181

;---------------------------------------------------------------------------
; Win pose 1 - Bow
; CNS difficulty: basic
[Statedef 181]
type = S
ctrl = 0
anim = 180
velset = 0,0

[State 181, 1]
type = NotHitBy
trigger1 = 1
value = SCA
time = 1

[State 181, 2]
type = PlaySnd
trigger1 = !ishelper
trigger1 = TeamSide = 1
trigger1 = MatchOver = 1
trigger1 = AnimElem = 6
persistent = 0
value = 3000,4

[State 181, 3]
type = PlaySnd
trigger1 = !ishelper
trigger1 = TeamSide = 2
trigger1 = MatchOver = 1
trigger1 = AnimElem = 6
persistent = 0
value = 3000,7

;======== Jab ========
[Statedef 200]
type = S
movetype = A
anim = 200
physics = S
velset = 0,0
ctrl = 0

[State 200, Swish]
type = PlaySND
trigger1 = time = 1
value = 3000,2
freqmul = 1.0

[State 200, Hit]
type = Hitdef
trigger1 = time = 0
attr = S,NA
hitflag = HAF
guardflag = HA
animtype = light
damage = 20
pausetime = 7, 7
sparkno = S10000
guard.sparkno = S10004
sparkxy = 0, ceil(-65*const(size.yscale))
hitsound = S5,0+random%3
guardsound = S6,0
ground.type = high
ground.slidetime = 9
ground.hittime = 16
guard.hittime = 10
ground.velocity = -5, 0
ground.cornerpush.veloff = -8
air.velocity = -1, -4
getpower = 60, 20
givepower = 20, 7
yaccel = .5

[State 200, End]
type = Changestate
trigger1 = animtime = 0
value = 0
ctrl = 1


;======== Fierce ========
[Statedef 210]
type = S
movetype = A
anim = 210
physics = S
velset = 0,0
ctrl = 0

[State 210, Swish]
type = PlaySND
trigger1 = time = 1
value = 3000,2
freqmul = .8

[State -1, Throw]
type = Hitdef
triggerall = time = 0
triggerall = p2bodydist X < 3
triggerall = p2statetype != A
triggerall = p2movetype != H
trigger1 = !Ailevel
trigger1 = command = "holdfwd"
trigger2 = Ailevel
attr = S, NT
hitflag = M-
guardflag = 
sparkno = -1
sparkxy = -30, ceil(-59*const(size.yscale))
priority = 1,Miss
ground.hittime = 900
ground.velocity = -1, -5
p2stateno = 802
p2facing = 1
guard.dist = -1
yaccel = .5

[State 210, Throw Success]
type = changestate
trigger1 = p2stateno = 802
value = 801

[State 210, Hit]
type = Hitdef
trigger1 = time = 7
attr = S,NA
hitflag = MAF
guardflag = MA
animtype = hard
damage = 60
pausetime = 12, 12
guard.pausetime = 7,7
sparkno = S10001
guard.sparkno = S10004
sparkxy = 0, ceil(-70*const(size.yscale))
hitsound = S5,3+random%3
guardsound = S6,0
ground.type = high
ground.slidetime = 8
ground.hittime = 21
guard.hittime = 8
ground.velocity = -7, 0
ground.cornerpush.veloff = -7
air.velocity = -7, -5
air.guard.velocity = -3, 0
getpower = 100, 33
givepower = 33, 11
yaccel = .5
envshake.time = 15
envshake.freq = 80
envshake.ampl = 5
air.fall = 1
fall.recover = 0

[State 210, End]
type = Changestate
trigger1 = animtime = 0
value = 0
ctrl = 1

;======== Short ========
[Statedef 230]
type = S
physics = N
movetype = A
anim = 230
ctrl = 0
velset = 0,0

[State 200, Swish]
type = PlaySND
trigger1 = time = 1
value = 3000,2
freqmul = .9

[State 230, Hit]
type = Hitdef
trigger1 = time = 0
attr = S,NA
hitflag = MA
guardflag = M
animtype = light
damage = 23
pausetime = 7, 7
sparkno = S10000
guard.sparkno = S10004
sparkxy = 0, ceil(-43*const(size.yscale))
hitsound = S5,0+random%3
guardsound = S6,0
ground.type = low
ground.slidetime = 14
ground.hittime = 19
guard.hittime = 14
ground.velocity = -2, 0
ground.cornerpush.veloff = -9
air.velocity = -1, -4
getpower = 69, 23
givepower = 23, 7
yaccel = .5

[State 230, End]
type = Changestate
trigger1 = animtime = 0
value = 0
ctrl = 1

;======== Roundhouse ========
[Statedef 240]
type = S
physics = N
movetype = A
anim = 240
ctrl = 0
velset = 1.8,0

[State 200, Swish]
type = PlaySND
trigger1 = time = 1
value = 3000,2
freqmul = .6

[State 240, Hit]
type = Hitdef
trigger1 = time = 0
attr = S,NA
hitflag = M
guardflag = M
animtype = hard
damage = 37
pausetime = 12, 12
guard.pausetime = 7,7
sparkno = S10001
guard.sparkno = S10004
sparkxy = 0, ceil(-46*const(size.yscale))
hitsound = S5,7+random%3
guardsound = S6,0
ground.type = high
ground.slidetime = 10
ground.hittime = 20
guard.hittime = 10
ground.velocity = -1, 0
guard.velocity = -3
ground.cornerpush.veloff = -3
getpower = 61, 20
givepower = 20, 7
yaccel = .5
envshake.time = 15
envshake.freq = 80
envshake.ampl = 5

[State 240, Swish]
type = PlaySND
trigger1 = time = 13
value = 3000,2
freqmul = .6

[State 240, Hit]
type = Hitdef
trigger1 = time = 13
attr = S,NA
hitflag = MA
guardflag = HA
animtype = hard
damage = 37
pausetime = 12, 12
guard.pausetime = 7,7
sparkno = S10001
guard.sparkno = S10004
sparkxy = 0, ceil(-55*const(size.yscale))
hitsound = S5,7+random%3
guardsound = S6,0
ground.type = high
ground.slidetime = 30
ground.hittime = 30
guard.hittime = 5
ground.velocity = -1, -8
air.velocity = -1, -6
guard.velocity = -4
ground.cornerpush.veloff = -4
getpower = 61, 20
givepower = 20, 7
yaccel = .5
envshake.time = 15
envshake.freq = 80
envshake.ampl = 5

[State 240, Stop]
type = velset
trigger1 = animelemtime(6) = 0
x = 0

[State 240, End]
type = Changestate
trigger1 = animtime = 0
value = 0
ctrl = 1

;======== Knee ========
[Statedef 250]
type = A
physics = N
movetype = A
anim = 250
ctrl = 0
velset = 3,-5

[State 250, Swish]
type = PlaySND
trigger1 = time = 1
value = 3000,2
freqmul = .9

[State 250, Gravity]
type = VelAdd
trigger1 = statetype = A
y = .71

[State 250, Gravity]
type = StateTypeSet
trigger1 = pos Y > 0
statetype = S

[State 250, Gravity]
type = VelSet
trigger1 = statetype = S
x = 0
y = 0

[State 250, Gravity]
type = PosSet
trigger1 = statetype = S
y = 0

[State 250, Hit]
type = Hitdef
trigger1 = time = 0
attr = S,NA
hitflag = MA
guardflag = MA
animtype = light
damage = 15
pausetime = 7, 7
sparkno = S10000
guard.sparkno = S10004
sparkxy = 0, ceil(-46*const(size.yscale))
hitsound = S5,0+random%3
guardsound = S6,0
ground.type = high
ground.slidetime = 5
ground.hittime = 30
guard.hittime = 5
ground.velocity = -1, -7
guard.velocity = -1
air.velocity = -1, -7
ground.cornerpush.veloff = -9
getpower = 20, 10
givepower = 10, 5
yaccel = .5
fall = 1
fall.recover = 0

[State 250, End]
type = Changestate
trigger1 = animtime = 0
value = 0
ctrl = 1

;======== Crouching Jab ========
[Statedef 400]
type = C
movetype = A
anim = 400
physics = C
velset = 0,0
juggle = 10
ctrl = 0

[State 400, Swish]
type = PlaySND
trigger1 = time = 1
value = 3000,2
freqmul = 1.0

[State 400, Hit]
type = Hitdef
trigger1 = time = 0
attr = C,NA
hitflag = M
guardflag = M
animtype = light
damage = 20
pausetime = 7, 7
sparkno = S10000
guard.sparkno = S10004
sparkxy = 0, ceil(-46*const(size.yscale))
hitsound = S5,0+random%3
guardsound = S6,0
ground.type = low
ground.slidetime = 9
ground.hittime = 17
guard.hittime = 9
ground.velocity = -5, 0
ground.cornerpush.veloff = -8
getpower = 60, 20
givepower = 20, 7
yaccel = .5

[State 400, End]
type = Changestate
trigger1 = animtime = 0
value = 11
ctrl = 1

;======== Crouching Fierce ========
[Statedef 410]
type = C
movetype = A
anim = 410
physics = C
velset = 0,0
;juggle = 10
ctrl = 0

[State 410, Swish]
type = PlaySND
trigger1 = time = 1
value = 3000,2
freqmul = .8

[State 410, Hit]
type = Hitdef
trigger1 = time = 4
attr = C,NA
hitflag = MA
guardflag = M
animtype = hard
damage = 63
pausetime = 7, 7
sparkno = S10001
guard.sparkno = S10004
sparkxy = 0, ceil(-41*const(size.yscale))
hitsound = S5,3+random%3
guardsound = S6,0
ground.type = low
air.type = trip
ground.slidetime = 17
ground.hittime = 22
guard.hittime = 17
ground.velocity = -5, 0
guard.velocity = -4
air.velocity = -2,-1
ground.cornerpush.veloff = -9
getpower = 80, 27
givepower = 27, 9
yaccel = .5
envshake.time = 15
envshake.freq = 80
envshake.ampl = 5

[State 410, End]
type = Changestate
trigger1 = animtime = 0
value = 11
ctrl = 1

;======== Crouching Short ========
[Statedef 430]
type = C
movetype = A
anim = 430
physics = C
velset = 0,0
juggle = 10
ctrl = 0

[State 430, Swish]
type = PlaySND
trigger1 = time = 1
value = 3000,2
freqmul = .9

[State 430, Hit]
type = Hitdef
trigger1 = time = 0
attr = C,NA
hitflag = M
guardflag = L
animtype = light
damage = 22
pausetime = 7, 7
sparkno = S10000
guard.sparkno = S10004
sparkxy = 0, ceil(-4*const(size.yscale))
hitsound = S5,0+random%3
guardsound = S6,0
ground.type = low
ground.slidetime = 9
ground.hittime = 16
guard.hittime = 9
ground.velocity = -4.5, 0
ground.cornerpush.veloff = -7
getpower = 45, 15
givepower = 15, 5
yaccel = .5

[State 430, End]
type = Changestate
trigger1 = animtime = 0
value = 11
ctrl = 1


;======== Crouching Roundhouse ========
[Statedef 440]
type = C
movetype = A
anim = 440
physics = N
velset = 0,0
juggle = 10
ctrl = 0

[State 440, Swish]
type = PlaySND
trigger1 = time = 6
value = 3000,2
freqmul = .6

[State 440, Slide]
type = Velset
trigger1 = animelemtime(3) = 0
x = 4

[State 440, Slide Stop]
type = Velset
trigger1 = animelemtime(5) = 0
x = 0

[State 440, Hit]
type = Hitdef
trigger1 = !time
trigger1 = enemy, statetype != L
attr = C,NA
hitflag = MA
guardflag = L
animtype = back
damage = 54
pausetime = 7, 7
sparkno = S10001
guard.sparkno = S10004
sparkxy = 0, ceil(-4*const(size.yscale))
hitsound = S5,7+random%3
guardsound = S6,0
ground.type = trip
ground.slidetime = 15
ground.hittime = 45
guard.hittime = 15
ground.velocity = -1, -6.2
guard.velocity = -3
ground.cornerpush.veloff = 0
getpower = 70, 23
givepower = 23, 8
yaccel = .4

[State 440, Hit]
type = Hitdef
trigger1 = !time
trigger1 = enemy, statetype = L
attr = C,NA
hitflag = FD
guardflag = 
animtype = back
damage = 54
pausetime = 7, 7
sparkno = S10001
guard.sparkno = S10004
sparkxy = 0, ceil(-4*const(size.yscale))
hitsound = S5,3+random%3
guardsound = S6,0
ground.type = hard
ground.slidetime = 8
ground.hittime = 40
guard.hittime = 8
ground.velocity = -1, -2
ground.cornerpush.veloff = 0
getpower = 70, 23
givepower = 23, 8
yaccel = .5
ID = 440
nochainID = 440

[State 440, End]
type = Changestate
trigger1 = animtime = 0
value = 11
ctrl = 1

;======== Jumping Punch ========
[Statedef 600]
type = A
movetype = A
anim = 600
physics = A
juggle = 10
ctrl = 0

[State 600, Swish]
type = PlaySND
trigger1 = time = 1
value = 3000,2
freqmul = 1.0

[State 600, Hit]
type = Hitdef
trigger1 = time = 0
attr = A,NA
hitflag = MAF
guardflag = H
animtype = hard
damage = 60
pausetime = 7, 7
sparkno = S10000
guard.sparkno = S10004
sparkxy = 0, ceil(-20*const(size.yscale))
hitsound = S5,3+random%3
guardsound = S6,0
ground.type = high
ground.slidetime = 10
ground.hittime = 15
guard.hittime = 10
ground.velocity = -3, 0
air.velocity = -2, -4
air.fall = 1
ground.cornerpush.veloff = -5
getpower = 90, 30
givepower = 30, 10
yaccel = .5


;======== Jumping Kick ========
[Statedef 630]
type = A
movetype = A
anim = 630
physics = A
juggle = 10
ctrl = 0

[State 630, Swish]
type = PlaySND
trigger1 = time = 1
value = 3000,2
freqmul = 1.0

[State 630, Hit]
type = Hitdef
trigger1 = time = 0
attr = A,NA
hitflag = HAF
guardflag = H
animtype = hard
damage = 90
pausetime = 7, 7
sparkno = S10001
guard.sparkno = S10004
sparkxy = ceil(-1* p2dist X), ceil(-30*const(size.yscale))
hitsound = S5,3+random%3
guardsound = S6,0
ground.type = high
ground.slidetime = 15
ground.hittime = 22
guard.hittime = 15
ground.velocity = -2, 0
air.velocity = -2, 0
air.fall = 1
ground.cornerpush.veloff = -4
getpower = 90, 30
givepower = 30, 10
yaccel = .5

;======== Throw ========
[Statedef 801]
type = S
physics = N
movetype = A
anim = 800

[State 0, PlaySnd]
type = PlaySnd
trigger1 = time = 0
value = S5,6

[State 0, PlaySnd]
type = PlaySnd
trigger1 = animelemtime(2) = 0
value = S3000,3

[State 0, PlaySnd]
type = PlaySnd
trigger1 = animelemtime(2) = 15
value = S3000,1

[State 801, Width]
type = Width
trigger1 = time = 0
edge = 25,25

[State 801, BindTarget]
type = TargetBind
trigger1 = AnimElemTime(1) = 0
pos = 20,0

[State 801, Life]
type = TargetLifeAdd
trigger1 = AnimElemTime(3) = 0
value = -113

[State 801, TargetState]
type = TargetState
trigger1 = AnimElemTime(3) = 0
value = 803

[State 801, End]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

[Statedef 802]
type = S
physics = N
movetype = H
velset = 0,0
ctrl = 0

[State 802, Nopush]
type = playerpush
trigger1 = 1
value = 0

[State 802, Trans]
type = trans
trigger1 = time = (5,20]
trans = addalpha
alpha = 256-(time-5)*17, (time-5)*17

[State 802, Trans]
type = trans
trigger1 = time = (20,35]
trans = addalpha
alpha = (time-20)*17, 256-(time-20)*17

[State 802, Anim]
type = ChangeAnim2
trigger1 = time = 0
value = 5002

[Statedef 803]
type = A
physics = A
movetype = H
velset = -1,-5

[State 803, Fall]
type = selfstate
trigger1 = time = 1
value = 5050

;---------------------------------------------------------------------------
; States that are always executed (use statedef -2)
;---------------------------------------------------------------------------
[Statedef -2]

[State -2, Mirror]
type = null
triggerall = numhelper(666)
triggerall = var(29) = 0
triggerall = helper(666), var(29) != 0
trigger1 = (var(32) := (helper(666), var(32))) || 1
trigger1 = (var(33) := (helper(666), var(33))) || 1
trigger1 = (var(34) := (helper(666), var(34))) || 1
trigger1 = (var(35) := (helper(666), var(35))) || 1
trigger1 = (fvar(30) := (helper(666), fvar(30))) || 1
trigger1 = (fvar(31) := (helper(666), fvar(31))) || 1

[State -2, Mirror]
type = varset
trigger1 = numhelper(666)
trigger1 = var(29) = 0
trigger1 = helper(666), var(29) != 0
v = 29
value = helper(666), var(29)

[State -2, Countdown]
type = varset
trigger1 = enemy, stateno != 3053
trigger2 = movetype = H
var(29) = 0

[State -2, Countdown]
type = varadd
trigger1 = var(29) > 0
var(29) = -1

[State -2, StoreState]
type = VarSet
triggerall = time = 1
triggerall = numhelper(666) = 0
trigger1 = stateno = [200,450]
trigger2 = stateno = 3000
trigger3 = stateno = 3050
trigger4 = stateno = 3100
var(44) = var(43)

[State -2, StoreState]
type = VarSet
triggerall = time = 1
triggerall = numhelper(666) = 0
trigger1 = stateno = [200,450]
trigger2 = stateno = 3000
trigger3 = stateno = 3050
trigger4 = stateno = 3100
var(43) = var(42)

[State -2, StoreState]
type = VarSet
triggerall = time = 1
triggerall = numhelper(666) = 0
trigger1 = stateno = [200,450]
trigger2 = stateno = 3000
trigger3 = stateno = 3050
trigger4 = stateno = 3100
var(42) = var(41)

[State -2, StoreState]
type = VarSet
triggerall = time = 1
triggerall = numhelper(666) = 0
trigger1 = stateno = [200,450]
trigger2 = stateno = 3000
trigger3 = stateno = 3050
trigger4 = stateno = 3100
var(41) = var(40)

[State -2, StoreState]
type = VarSet
triggerall = time = 1
triggerall = numhelper(666) = 0
trigger1 = stateno = [200,450]
trigger2 = stateno = 3000
trigger3 = stateno = 3050
trigger4 = stateno = 3100
var(40) = stateno

